## yocto-reader 0.9.4

=== Makefile ===
#    Copyright (C) 2007 Loic Dachary (loic@dachary.org)
#    Copyright (C) 2007 Chandan Kudige (chandan@nospam.kudige.com)
#    Copyright (C) 2008 Bradley M. Kuhn <bkuhn@ebb.org>

#  This program is free software: you can redistribute it and/or modify it
#  under the terms of the GNU Affero General Public License as published
#  by the Free Software Foundation, either version 3 of the License, or
#  (at your option) any later version.

#  This program is distributed in the hope that it will be useful, but
#  WITHOUT ANY WARRANTY; without even the implied warranty of
#  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
#  Affero General Public License for more details.

#  You should have received a copy of the GNU Affero General Public
#  License along with this program in the file LICENSE.txt.  If not, see
#  <http://www.gnu.org/licenses/>.


DIST_FILES = ./ChangeLog ./LICENSE.txt ./Makefile ./README.txt ./apache-alias.conf \
	./apache.conf ./backend/resttest.php ./debian/README.Debian ./debian/changelog \
	./debian/compat ./debian/control ./debian/copyright ./debian/examples \
	./debian/rules ./feedread.html ./keycuts.html ./permalinks.html \
	./reader/cache.js ./reader/common.js ./reader/feed.js ./reader/feeddata.js \
	./reader/fsm.js ./reader/jquery.js ./reader/mockapi.js ./reader/reader.js \
	./reader/rest.html ./reader/rest.js ./reader/strings.js ./reader/template.js \
	./rest/proxy.php ./tests/jsUnitCore.js ./tests/jscoverage.js \
	 ./tests/start_uitest.html ./tests/testcases.js ./tests/testcases_common.js \
	./tests/testcases_ui.js ./tests/tlib.js ./tests/tlibui.js ./tests/uitest.patch \
	./themes/default/addfeed-added.gif ./themes/default/addfeed-bundle-bg.gif \
	./themes/default/addfeed-more-bg.gif ./themes/default/addfeed-plus.png \
	./themes/default/addfeeds-more-bg.gif ./themes/default/addfeeds-plus.png \
	./themes/default/body-bg.png ./themes/default/button-down-arrow.gif \
	./themes/default/button-left-hover.gif ./themes/default/button-left-selected.gif \
	./themes/default/button-left.gif ./themes/default/button-right-hover.gif \
	./themes/default/button-right-selected.gif ./themes/default/button-right.gif \
	./themes/default/button-up-arrow.gif ./themes/default/button.psd \
	./themes/default/card-corners-blue.gif \
	./themes/default/card-corners-current-blue.gif \
	./themes/default/card-corners-current.gif \
	./themes/default/card-corners-read-blue.gif \
	./themes/default/card-corners-read.gif ./themes/default/card-corners.gif \
	./themes/default/card-lr-current.gif ./themes/default/card-lr-read.gif \
	./themes/default/card-lr.gif ./themes/default/card-tb-blue.gif \
	./themes/default/card-tb-current-blue.gif ./themes/default/card-tb-current.gif \
	./themes/default/card-tb-read-blue.gif ./themes/default/card-tb-read.gif \
	./themes/default/card-tb.gif ./themes/default/corner-bl.gif \
	./themes/default/corner-br.gif ./themes/default/corner-tl.gif \
	./themes/default/corner-tr.gif ./themes/default/folder-minus.gif \
	./themes/default/folder-plus.gif ./themes/default/icon-addfeed.gif \
	./themes/default/icon-allitems.gif ./themes/default/icon-check.gif \
	./themes/default/icon-feed.png ./themes/default/icon-folder.gif \
	./themes/default/icon-goto-mini.gif ./themes/default/icon-goto-small.gif \
	./themes/default/icon-goto.gif ./themes/default/icon-home.gif \
	./themes/default/icon-itememail.gif ./themes/default/icon-itemread.gif \
	./themes/default/icon-itemtag.gif ./themes/default/icon-itemunread.gif \
	./themes/default/icon-nav-left.gif ./themes/default/icon-nav-right.gif \
	./themes/default/icon-overview.png ./themes/default/icon-publish.gif \
	./themes/default/icon-reading-list.gif ./themes/default/icon-rss.png \
	./themes/default/icon-share-active.png ./themes/default/icon-share-inactive.png \
	./themes/default/icon-shared.png ./themes/default/icon-star-active.png \
	./themes/default/icon-star-inactive.png ./themes/default/icon-starred.png \
	./themes/default/icon-tag.gif ./themes/default/icon-trends-selected.gif \
	./themes/default/icon-trends.gif ./themes/default/icon-unsubscribe.gif \
	./themes/default/loading.gif ./themes/default/logo.png \
	./themes/default/module-new-window-icon.gif \
	./themes/default/screenshot-share.gif ./themes/default/settings.css \
	./themes/default/settings.zip ./themes/default/theme-merged.css \
	./themes/default/theme-saved.css ./themes/default/theme.css \
	./themes/default/trends-label-corner.gif ./tools/runuitests \
	./uitest.html

all:

test:
	if [ -t 0 ] ; then \
		./tools/runuitests ; \
	fi

install: dist
	mkdir -p $(DESTDIR)/usr/share/yocto-reader
	cp -r \
		feedread.html permalinks.html reader themes \
		$(DESTDIR)/usr/share/yocto-reader
	(cd $(DESTDIR)/usr/share/yocto-reader; /bin/ln -s feedread.html index.html)
	mkdir -p $(DESTDIR)/etc/yocto-reader
	mv $(DESTDIR)/usr/share/yocto-reader/reader/mockapi.js \
		$(DESTDIR)/etc/yocto-reader
	ln -s /etc/yocto-reader/mockapi.js \
		$(DESTDIR)/usr/share/yocto-reader/reader/mockapi.js
	(VERSION=`/usr/bin/head -1 debian/changelog | /usr/bin/perl -pe 's/^\s*yocto-reader\s+\(([\d\.]+)\)\s+.*$$/$$1/'`; /bin/cp yocto-reader-$$VERSION.tar.gz $(DESTDIR)/usr/share/yocto-reader; cd $(DESTDIR)/usr/share/yocto-reader; /bin/ln -s yocto-reader-$$VERSION.tar.gz yocto-reader.tar.gz)

dist:
	@(VERSION=`/usr/bin/head -1 debian/changelog | /usr/bin/perl -pe 's/^\s*yocto-reader\s+\(([\d\.]+)\)\s+.*$$/$$1/'`; \
	/bin/rm -rf yocto-reader-$$VERSION; \
	mkdir yocto-reader-$$VERSION; \
	/bin/echo $(DIST_FILES) | /usr/bin/perl -ne 'foreach $$f (split(/\s+/)) { print "$$f\n";}' | /bin/cpio -padum yocto-reader-$$VERSION; \
	/bin/tar cf - yocto-reader-$$VERSION | /bin/gzip --best > yocto-reader-$$VERSION.tar.gz; \
	/bin/rm -rf yocto-reader-$$VERSION )

clean:
	rm -Rf tests.coverage
	(VERSION=`/usr/bin/head -1 debian/changelog | /usr/bin/perl -pe 's/^\s*yocto-reader\s+\(([\d\.]+)\)\s+.*$$/$$1/'`; /bin/rm -rf yocto-reader-$$VERSION yocto-reader-$$VERSION.tar.gz)

=== debian/changelog ===
yocto-reader (0.9.4) unstable; urgency=medium

  * Removed link to proprietary Google javascript and added source
    installation. (closes: #507579)

 -- Bradley M. Kuhn <bkuhn@ebb.org>  Sat, 20 Dec 2008 15:15:31 -0500

yocto-reader (0.9.3) unstable; urgency=low

  * Answering RFP. (closes: #485450)

 -- Loic Dachary (OuoU) <loic@debian.org>  Sat, 21 Jun 2008 18:06:43 -0400

yocto-reader (0.9.2) unstable; urgency=low

  * keyboard shortcuts implementation
  * backend stub files

 -- Loic Dachary (OuoU) <loic@debian.org>  Sat, 29 Dec 2007 11:09:59 +0000

yocto-reader (0.9.1) unstable; urgency=low

  * Made jscoverage optional.
  * Splitted apache configuration to two files and install them by
    default to apache2 config.

 -- Ola Lundqvist <ola@opalsys.net>  Wed, 19 Dec 2007 07:41:17 +0100

=== debian/control ===
Source: yocto-reader
Section: web
Priority: extra
Maintainer: Loic Dachary (OuoU) <loic@debian.org>
Build-Depends: debhelper (>= 5), coreutils, perl-base, cpio, tar
Standards-Version: 3.7.2

Package: yocto-reader
Architecture: all
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: web based RSS reader
 Yocto-reader is a prototype of a web based RSS reader written in
 Javascript. In this release the GUI front end is fully functional but
 does not have a backend available yet.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

CFLAGS = -Wall -g

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif

configure: configure-stamp
configure-stamp:
	dh_testdir
	# Add here commands to configure the package.

	touch configure-stamp


build: build-stamp

build-stamp: configure-stamp 
	dh_testdir

	# Add here commands to compile the package.
	$(MAKE) test
	$(MAKE)
	#docbook-to-man debian/yocto-reader.sgml > yocto-reader.1

	touch $@

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp

	# Add here commands to clean up after the build process.
	-$(MAKE) clean

	dh_clean 

install: build
	dh_testdir
	dh_testroot
	dh_clean -k 
	dh_installdirs

	# Add here commands to install the package into debian/yocto-reader.
	$(MAKE) DESTDIR=$(CURDIR)/debian/yocto-reader install
	mkdir -p $(CURDIR)/debian/yocto-reader/etc/apache2/conf.d
	cp apache.conf $(CURDIR)/debian/yocto-reader/etc/apache2/conf.d/yocto-reader.conf
	cp apache-alias.conf $(CURDIR)/debian/yocto-reader/etc/apache2/conf.d/yocto-reader-alias.conf


# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs 
	dh_installdocs
	dh_installexamples
#	dh_install
#	dh_installmenu
#	dh_installdebconf	
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_python
#	dh_installinit
#	dh_installcron
#	dh_installinfo
	dh_installman
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
#	dh_perl
#	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure

## yocto-reader 0.9.4+nmu1

=== Makefile ===
--- 
+++ 
@@ -17,8 +17,8 @@
 #  <http://www.gnu.org/licenses/>.
 
 
-DIST_FILES = ./ChangeLog ./LICENSE.txt ./Makefile ./README.txt ./apache-alias.conf \
-	./apache.conf ./backend/resttest.php ./debian/README.Debian ./debian/changelog \
+DIST_FILES = ./ChangeLog ./LICENSE.txt ./Makefile ./README.txt \
+	./backend/resttest.php ./debian/README.Debian ./debian/changelog \
 	./debian/compat ./debian/control ./debian/copyright ./debian/examples \
 	./debian/rules ./feedread.html ./keycuts.html ./permalinks.html \
 	./reader/cache.js ./reader/common.js ./reader/feed.js ./reader/feeddata.js \
@@ -68,7 +68,7 @@
 	./themes/default/settings.zip ./themes/default/theme-merged.css \
 	./themes/default/theme-saved.css ./themes/default/theme.css \
 	./themes/default/trends-label-corner.gif ./tools/runuitests \
-	./uitest.html
+	./uitest.html ./yocto-reader.conf
 
 all:
 
@@ -88,10 +88,10 @@
 		$(DESTDIR)/etc/yocto-reader
 	ln -s /etc/yocto-reader/mockapi.js \
 		$(DESTDIR)/usr/share/yocto-reader/reader/mockapi.js
-	(VERSION=`/usr/bin/head -1 debian/changelog | /usr/bin/perl -pe 's/^\s*yocto-reader\s+\(([\d\.]+)\)\s+.*$$/$$1/'`; /bin/cp yocto-reader-$$VERSION.tar.gz $(DESTDIR)/usr/share/yocto-reader; cd $(DESTDIR)/usr/share/yocto-reader; /bin/ln -s yocto-reader-$$VERSION.tar.gz yocto-reader.tar.gz)
+	(VERSION=`dpkg-parsechangelog -S version`; /bin/cp yocto-reader-$$VERSION.tar.gz $(DESTDIR)/usr/share/yocto-reader; cd $(DESTDIR)/usr/share/yocto-reader; /bin/ln -s yocto-reader-$$VERSION.tar.gz yocto-reader.tar.gz)
 
 dist:
-	@(VERSION=`/usr/bin/head -1 debian/changelog | /usr/bin/perl -pe 's/^\s*yocto-reader\s+\(([\d\.]+)\)\s+.*$$/$$1/'`; \
+	@(VERSION=`dpkg-parsechangelog -S version`; \
 	/bin/rm -rf yocto-reader-$$VERSION; \
 	mkdir yocto-reader-$$VERSION; \
 	/bin/echo $(DIST_FILES) | /usr/bin/perl -ne 'foreach $$f (split(/\s+/)) { print "$$f\n";}' | /bin/cpio -padum yocto-reader-$$VERSION; \
@@ -100,4 +100,4 @@
 
 clean:
 	rm -Rf tests.coverage
-	(VERSION=`/usr/bin/head -1 debian/changelog | /usr/bin/perl -pe 's/^\s*yocto-reader\s+\(([\d\.]+)\)\s+.*$$/$$1/'`; /bin/rm -rf yocto-reader-$$VERSION yocto-reader-$$VERSION.tar.gz)
+	(VERSION=`dpkg-parsechangelog -S version`; /bin/rm -rf yocto-reader-$$VERSION yocto-reader-$$VERSION.tar.gz)

=== debian/changelog ===
yocto-reader (0.9.4+nmu1) unstable; urgency=high

  * Non-maintainer upload.
  * Fix FTBFS with nmu versions: (closes: #518856)
    - Makefile: Use dpkg-parsechangelog to get current version.
    - Add Build-Depends on dpkg >= 1.17.
  * Apache2.4 transition: (closes: #669777)
    - Merge apache.conf and apache-alias.conf in a single yocto-reader.conf,
      upgrade it to new apache Require style, update DIST_FILES in Makefile.
    - d/rules: Add dh_apache2, no longer copying files to /etc/apache2/conf.d/
    - d/control: Add ${misc:Recommends}, Build-depends on dh-apache2.
    - d/maintscript: rm_conffile /etc/apache2/conf.d/yocto-reader*.
    - New d/apache2: Handle configuration.
    - d/examples: Use the new configuration name.

 -- Jean-Michel Nirgal Vourgère <jmv_deb@nirgal.com>  Thu, 26 Mar 2015 21:08:06 +0100

=== debian/control ===
Source: yocto-reader
Section: web
Priority: extra
Maintainer: Loic Dachary (OuoU) <loic@debian.org>
Build-Depends: dpkg (>= 1.17), debhelper (>= 5), coreutils, perl-base, cpio, tar, dh-apache2
Standards-Version: 3.7.2

Package: yocto-reader
Architecture: all
Depends: ${shlibs:Depends}, ${misc:Depends}
Recommends: ${misc:Recommends}
Description: web based RSS reader
 Yocto-reader is a prototype of a web based RSS reader written in
 Javascript. In this release the GUI front end is fully functional but
 does not have a backend available yet.

=== debian/rules ===
--- 
+++ 
@@ -55,9 +55,6 @@
 
 	# Add here commands to install the package into debian/yocto-reader.
 	$(MAKE) DESTDIR=$(CURDIR)/debian/yocto-reader install
-	mkdir -p $(CURDIR)/debian/yocto-reader/etc/apache2/conf.d
-	cp apache.conf $(CURDIR)/debian/yocto-reader/etc/apache2/conf.d/yocto-reader.conf
-	cp apache-alias.conf $(CURDIR)/debian/yocto-reader/etc/apache2/conf.d/yocto-reader-alias.conf
 
 
 # Build architecture-independent files here.
@@ -83,6 +80,7 @@
 #	dh_installcron
 #	dh_installinfo
 	dh_installman
+	dh_apache2
 	dh_link
 	dh_strip
 	dh_compress
